LetterAggregator

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.pivottable.aggregators.java
Class LetterAggregator

    java.lang.Object
      org.openswing.swing.pivottable.aggregators.java.GenericAggregator
          org.openswing.swing.pivottable.aggregators.java.LetterAggregator

All Implemented Interfaces:
  java.io.Serializable

public class LetterAggregator
extends GenericAggregator
implements java.io.Serializable

Title: OpenSwing Framework

Description: Generic aggregator for row/column fields of a pivot table: it decodes a String value to a String value, by grouping input values based on their prefix. Example: "Alan" -> "A", "Bob" -> "B", "Craig" -> "C". Example: if LetterAggregator is initialized as follows: addGroup('a','g',"A-G"); addGroup('h','l',"H-L"); addGroup('m','q',"M-Q"); addGroup('r','z',"R-Z"); then returned values are: "Alan" -> "A-G", "Bob" -> "A-G", "Hillary" -> "H-L", "Sam" -> "R-Z"

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

See Also:
  Serialized Form

Constructor Summary
`LetterAggregator()`

Method Summary
`void` | `addGroup(char fromChar, char toChar, java.lang.String groupValue)`
`java.lang.Object` | `decodeValue(java.lang.Object value)`
`boolean` | `equals(java.lang.Object obj)`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LetterAggregator

    public LetterAggregator()

Method Detail

### addGroup

    public final void addGroup(char fromChar,
                               char toChar,
                               java.lang.String groupValue)

### decodeValue

    public final java.lang.Object decodeValue(java.lang.Object value)

  Overrides:
    `decodeValue` in class `GenericAggregator`

### equals

    public final boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `GenericAggregator`

### hashCode

    public final int hashCode()

  Overrides:
    `hashCode` in class `GenericAggregator`

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD